Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045621
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2020-12-17 11:292021-01-05 15:07
Reportersebastien_lironView Statuspublic 
Assigned Toalostale 
PriorityurgentResolutionfixedFixed in VersionPR21Q1
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version7.x
OS VersionOpenbravo Appliance 14.04Database version9.3.xAnt version1.9.x
Product VersionpiSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0045621: Return to Vendor P&E shows product's name instead of its identifer

DescriptionReturn to Vendor Pick lines' grid shows product's name instead of its identifier. By default product's identifier is just its name, but in case some other column is added (ie. characteristics description), the latter is not shown in the grid.
Steps To Reproduce- set the flag Used as record identifier for the column Characteristic_Desc in Product table
- create a purchase order with some variant product and process it until the reception
- got to return to vendor window, save a header
- click on Pick / Edit lines

you will see that in this popup, the product do not show the variant parts

Screen shot attached
TagsNo tags attached.
Attached Filespng file icon image.png [^] (40,922 bytes) 2020-12-17 11:29


png file icon image (1).png [^] (59,073 bytes) 2020-12-17 11:29

- Relationships Relation Graph ] Dependency Graph ]
depends on defect 0045635 closedalostale API change: renamed C_RM_ReturnToVendorHQL.product column 
related to design defect 0045683 newTriage Finance Distribution order receipt P&E shows product's name instead of its identifer 
related to defect 0045684PR20Q3.3 closeddmiguelez BOM version windows shows product's name instead of its identifer 

-  Notes
(0124931)
alostale (developer)
2020-12-18 09:47

Lowering severity from critical to major according with guidelines [1].

[1] http://wiki.openbravo.com/wiki/Bug_Reporting_Guidelines#How_to_Choose_the_Right_Severity [^]
(0124932)
hgbot (developer)
2020-12-18 10:07

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/260 [^]
(0125026)
hgbot (developer)
2020-12-21 15:45

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: f38b76805ec0f3de6db12f6d2c3af2b9cddcd486
Author: Asier Lostalé <asier.lostale@openbravo.com>
Date: 2020-12-21T14:39:46+01:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/f38b76805ec0f3de6db12f6d2c3af2b9cddcd486 [^]

fixed BUG-45621: Returns P&E shows product's name instead of its identifer

The grid of Pick Lines process definition used from Return to Vendor window,
displayed product's name instead of its identifer. The AD reference of
this column was Table which does not display identifer but a single
column.

This column's reference has been changed to TableDir which displays the
whole identifier.

---
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_TABLE.xml
---
(0125027)
hgbot (developer)
2020-12-21 15:45

Merge request merged: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/260 [^]
(0125274)
sebastien_liron (developer)
2021-01-05 15:07

Can we have a back port in 20q3 please ?

- Issue History
Date Modified Username Field Change
2020-12-17 11:29 sebastien_liron New Issue
2020-12-17 11:29 sebastien_liron Assigned To => Retail
2020-12-17 11:29 sebastien_liron File Added: image.png
2020-12-17 11:29 sebastien_liron Triggers an Emergency Pack => No
2020-12-17 11:29 sebastien_liron File Added: image (1).png
2020-12-17 16:42 marvintm Project Retail Modules => Openbravo ERP
2020-12-17 16:42 marvintm Modules => Core
2020-12-17 16:42 marvintm Category Return Receipt => A. Platform
2020-12-17 16:42 marvintm Target Version RR20Q3.3 =>
2020-12-17 16:46 marvintm Assigned To Retail => platform
2020-12-18 09:47 alostale Note Added: 0124931
2020-12-18 09:47 alostale Priority immediate => urgent
2020-12-18 09:47 alostale Severity critical => major
2020-12-18 09:55 alostale Summary When adding Carac desc as part of the identifier for product, an erp window does not show it => Return to Vendor P&E shows product's name instead of its identifer
2020-12-18 09:55 alostale Description Updated View Revisions
2020-12-18 10:07 hgbot Note Added: 0124932
2020-12-21 14:53 alostale Assigned To platform => alostale
2020-12-21 15:22 alostale Relationship added depends on 0045635
2020-12-21 15:45 hgbot Resolution open => fixed
2020-12-21 15:45 hgbot Status new => closed
2020-12-21 15:45 hgbot Fixed in Version => PR21Q1
2020-12-21 15:45 hgbot Note Added: 0125026
2020-12-21 15:45 hgbot Note Added: 0125027
2021-01-05 15:07 sebastien_liron Note Added: 0125274
2021-01-05 16:07 sebastien_liron Relationship added related to 0045683
2021-01-05 16:17 sebastien_liron Relationship added related to 0045684


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker